- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1d3930b4-e874-4321-8eb6-f956ac9bc1d4
    creation_time: 2023-02-17T12:15:31.517577Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark40_polynomial.i
      input_file_hashes:
        c/loop-zilu/benchmark40_polynomial.i: 845498859e0b863e5d97b7cad67b117eabad40b987c85c848115077574ac32ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark40_polynomial.i
    file_hash: 845498859e0b863e5d97b7cad67b117eabad40b987c85c848115077574ac32ec
    line: 23
    column: 0
    function: main
  loop_invariant:
    string: x*y >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f6a33f61-95d8-4707-8794-98719417c6fa
    creation_time: 2023-02-17T12:15:31.517863Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark40_polynomial.i
      input_file_hashes:
        c/loop-zilu/benchmark40_polynomial.i: 845498859e0b863e5d97b7cad67b117eabad40b987c85c848115077574ac32ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark40_polynomial.i
    file_hash: 845498859e0b863e5d97b7cad67b117eabad40b987c85c848115077574ac32ec
    line: 28
    column: 0
    function: main
  location_invariant:
    string: x*y >= 0
    type: assertion
    format: C

